From 32955f843ee99580e4470fe9e2538f051e972f88 Mon Sep 17 00:00:00 2001
From: Guennadi Liakhovetski <g.liakhovetski@gmx.de>
Date: Thu, 12 Apr 2012 15:54:27 +0200
Subject: [PATCH] camera-emulator: update for the new camera_request_memory type

Change-Id: I068d210e5eadc1a92615ad8a29d3285b72c5d694
---
 tools/emulator/system/camera/CallbackNotifier.cpp |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/development/tools/emulator/system/camera/CallbackNotifier.cpp b/development/tools/emulator/system/camera/CallbackNotifier.cpp
index f974b86..bf7fa9c 100755
--- a/development/tools/emulator/system/camera/CallbackNotifier.cpp
+++ b/development/tools/emulator/system/camera/CallbackNotifier.cpp
@@ -209,7 +209,7 @@ void CallbackNotifier::onNextFrameAvailable(const void* frame,
     if (isMessageEnabled(CAMERA_MSG_VIDEO_FRAME) && isVideoRecordingEnabled() &&
             isNewVideoFrameTime(timestamp)) {
         camera_memory_t* cam_buff =
-            mGetMemoryCB(-1, camera_dev->getFrameBufferSize(), 1, NULL);
+            mGetMemoryCB(-1, camera_dev->getFrameBufferSize(), 1, 0, NULL);
         if (NULL != cam_buff && NULL != cam_buff->data) {
             memcpy(cam_buff->data, frame, camera_dev->getFrameBufferSize());
             mDataCBTimestamp(timestamp, CAMERA_MSG_VIDEO_FRAME,
@@ -221,7 +221,7 @@ void CallbackNotifier::onNextFrameAvailable(const void* frame,
 
     if (isMessageEnabled(CAMERA_MSG_PREVIEW_FRAME)) {
         camera_memory_t* cam_buff =
-            mGetMemoryCB(-1, camera_dev->getFrameBufferSize(), 1, NULL);
+            mGetMemoryCB(-1, camera_dev->getFrameBufferSize(), 1, 0, NULL);
         if (NULL != cam_buff && NULL != cam_buff->data) {
             memcpy(cam_buff->data, frame, camera_dev->getFrameBufferSize());
             mDataCB(CAMERA_MSG_PREVIEW_FRAME, cam_buff, 0, NULL, mCBOpaque);
@@ -255,7 +255,7 @@ void CallbackNotifier::onNextFrameAvailable(const void* frame,
                                             mJpegQuality);
             if (res == NO_ERROR) {
                 camera_memory_t* jpeg_buff =
-                    mGetMemoryCB(-1, compressor.getCompressedSize(), 1, NULL);
+                    mGetMemoryCB(-1, compressor.getCompressedSize(), 1, 0, NULL);
                 if (NULL != jpeg_buff && NULL != jpeg_buff->data) {
                     compressor.getCompressedImage(jpeg_buff->data);
                     mDataCB(CAMERA_MSG_COMPRESSED_IMAGE, jpeg_buff, 0, NULL, mCBOpaque);
-- 
1.7.2.5

